Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class GroovyScriptEngine.ScriptClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      groovy.util.GroovyScriptEngine.ScriptClassLoader

    class GroovyScriptEngine.ScriptClassLoader
    extends GroovyClassLoader

Field Summary

Fields inherited from class GroovyClassLoader
classCache, sourceCache

Constructor Summary
`GroovyScriptEngine.ScriptClassLoader(GroovyClassLoader loader)`
`GroovyScriptEngine.ScriptClassLoader(ClassLoader loader)`

Method Summary
`protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`
`Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCacheSource)`

Methods inherited from class GroovyClassLoader
addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, defineClass, defineClass, expandClassPath, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile

Methods inherited from class URLClassLoader
newInstance, newInstance, findResource, findResources, getURLs, loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class SecureClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyScriptEngine.ScriptClassLoader

    public GroovyScriptEngine.ScriptClassLoader(GroovyClassLoader loader)

### GroovyScriptEngine.ScriptClassLoader

    public GroovyScriptEngine.ScriptClassLoader(ClassLoader loader)

Method Detail

### createCompilationUnit

    @Override
    protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)

### parseClass

    @Override
    public Class parseClass(GroovyCodeSource codeSource, boolean shouldCacheSource)

Copyright © 2003-2009 The Codehaus. All rights reserved.